package com.ruoyi.project.service.impl;

import java.util.Date;
import java.util.List;

import com.ruoyi.project.domain.TrsUrlResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsErrorUrlMapper;
import com.ruoyi.project.domain.TrsErrorUrl;
import com.ruoyi.project.service.ITrsErrorUrlService;
import com.ruoyi.common.core.text.Convert;

/**
 * 敏感链接Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-01
 */
@Service
public class TrsErrorUrlServiceImpl implements ITrsErrorUrlService 
{
    @Autowired
    private TrsErrorUrlMapper trsErrorUrlMapper;

    /**
     * 查询敏感链接
     * 
     * @param id 敏感链接主键
     * @return 敏感链接
     */
    @Override
    public TrsErrorUrl selectTrsErrorUrlById(Long id)
    {
        return trsErrorUrlMapper.selectTrsErrorUrlById(id);
    }

    /**
     * 查询敏感链接列表
     * 
     * @param trsErrorUrl 敏感链接
     * @return 敏感链接
     */
    @Override
    public List<TrsErrorUrl> selectTrsErrorUrlList(TrsErrorUrl trsErrorUrl)
    {
        return trsErrorUrlMapper.selectTrsErrorUrlList(trsErrorUrl);
    }

    /**
     * 新增敏感链接
     * 
     * @param trsErrorUrl 敏感链接
     * @return 结果
     */
    @Override
    public int insertTrsErrorUrl(TrsErrorUrl trsErrorUrl)
    {
        return trsErrorUrlMapper.insertTrsErrorUrl(trsErrorUrl);
    }

    /**
     * 修改敏感链接
     * 
     * @param trsErrorUrl 敏感链接
     * @return 结果
     */
    @Override
    public int updateTrsErrorUrl(TrsErrorUrl trsErrorUrl)
    {
        return trsErrorUrlMapper.updateTrsErrorUrl(trsErrorUrl);
    }

    /**
     * 批量删除敏感链接
     * 
     * @param ids 需要删除的敏感链接主键
     * @return 结果
     */
    @Override
    public int deleteTrsErrorUrlByIds(String ids)
    {
        return trsErrorUrlMapper.deleteTrsErrorUrlByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除敏感链接信息
     * 
     * @param id 敏感链接主键
     * @return 结果
     */
    @Override
    public int deleteTrsErrorUrlById(Long id)
    {
        return trsErrorUrlMapper.deleteTrsErrorUrlById(id);
    }

    public String importWords(List<TrsErrorUrl> wordList, boolean updateSupport) {
        for (TrsErrorUrl word : wordList) {
            word.setTime(new Date());
            if(updateSupport){
                List<TrsErrorUrl> sensitiveWords = trsErrorUrlMapper.selectTrsWordsListByErrorWord(word.getErrorurl());
                if(sensitiveWords.size()>0){
                    word.setId(sensitiveWords.get(0).getId());
                    word.setStatus("待审核");
                    trsErrorUrlMapper.updateTrsErrorUrl(word);
                }else{
                    word.setStatus("待审核");
                    trsErrorUrlMapper.insertTrsErrorUrl(word);
                }
            }else{
                trsErrorUrlMapper.insertTrsErrorUrl(word);
            }
            System.out.println(word);
        }
        return "success";
    }

}
